Name:          bcunit
Epoch:         1
Version:       5.3.96
Release:       1mamba
Summary:       A fork of the defunct project CUnit, with several fixes and patches applied
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.linphone.org/
Source:        https://github.com/BelledonneCommunications/bcunit.git/master/bcunit-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
A fork of the defunct project CUnit, with several fixes and patches applied.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A fork of the defunct project CUnit, with several fixes and patches applied

%description -n lib%{name}
A fork of the defunct project CUnit, with several fixes and patches applied.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
touch README

%build
%cmake -d build \
    -DENABLE_DOC=ON \
    -DENABLE_STATIC=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%dir %{_datadir}/BCUnit
%{_datadir}/BCUnit/*
%{_libdir}/libbcunit.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/BCUnit
%{_includedir}/BCUnit/*.h
%{_libdir}/libbcunit.so
%{_libdir}/pkgconfig/bcunit.pc
#%{_mandir}/man3/BCUnit.3*
#%dir %{_docdir}/BCUnit
#%{_docdir}/BCUnit/*
#%dir %{_datadir}/BCunit
#%dir %{_datadir}/BCunit/cmake
#%{_datadir}/BCunit/cmake/BcUnit*.cmake
%doc ChangeLog NEWS README TODO

%changelog
* Mon Dec 02 2024 Automatic Build System <autodist@openmamba.org> 5.3.96-1mamba
- automatic version update by autodist

* Wed Nov 13 2024 Automatic Build System <autodist@openmamba.org> 5.3.95-1mamba
- automatic version update by autodist

* Wed Oct 30 2024 Automatic Build System <autodist@openmamba.org> 5.3.94-1mamba
- automatic version update by autodist

* Sun Oct 13 2024 Automatic Build System <autodist@openmamba.org> 5.3.86-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 5.3.83-1mamba
- automatic version update by autodist

* Sun Sep 08 2024 Automatic Build System <autodist@openmamba.org> 5.3.79-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 5.3.69-1mamba
- automatic version update by autodist

* Tue Jul 09 2024 Automatic Build System <autodist@openmamba.org> 5.3.63-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 5.3.54-1mamba
- automatic version update by autodist

* Wed May 01 2024 Automatic Build System <autodist@openmamba.org> 5.3.46-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 5.3.41-1mamba
- automatic version update by autodist

* Tue Mar 26 2024 Automatic Build System <autodist@openmamba.org> 5.3.36-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 5.3.34-1mamba
- automatic version update by autodist

* Sat Feb 24 2024 Automatic Build System <autodist@openmamba.org> 5.3.23-1mamba
- automatic version update by autodist

* Sun Feb 18 2024 Automatic Build System <autodist@openmamba.org> 5.3.21-1mamba
- automatic version update by autodist

* Fri Feb 09 2024 Automatic Build System <autodist@openmamba.org> 5.3.19-1mamba
- automatic version update by autodist

* Sat Feb 03 2024 Automatic Build System <autodist@openmamba.org> 5.3.13-1mamba
- automatic version update by autodist

* Wed Jan 24 2024 Automatic Build System <autodist@openmamba.org> 5.3.11-1mamba
- automatic version update by autodist

* Mon Jan 08 2024 Automatic Build System <autodist@openmamba.org> 5.3.7-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 5.3.5-1mamba
- automatic version update by autodist

* Tue Jun 06 2023 Automatic Build System <autodist@mambasoft.it> 5.2.62-1mamba
- automatic version update by autodist

* Wed Dec 28 2022 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Fri May 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2.20200229git-2mamba
- rebuilt with cmake

* Sat Feb 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2.20200229git-1mamba
- update to 3.0.2.20200229git

* Mon Nov 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Sat Dec 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20161217git-1mamba
- package created using the webbuild interface
